{
  config,
  lib,
  inputs,
  pkgs,
  system,
  ...
}:
let
  cfg = config.modules.helium;
  # packageNix = "${inputs.nixpkgs-gamescope}/pkgs/by-name/he/helium-browser/package.nix";
  # helium = inputs.nikkuss-pkgs.callPackage packageNix { };
in
{
  options.modules.helium = {
    enable = lib.mkEnableOption "helium";
  };
  config = lib.mkIf cfg.enable {
    home.packages = [
      inputs.nikkuss-pkgs.packages.x86_64-linux.helium-browser
    ];
    # xdg.mimeApps.defaultApplications = {
    #   "text/html" = "chromium.desktop";
    #   "x-scheme-handler/http" = "chromium.desktop";
    #   "x-scheme-handler/https" = "chromium.desktop";
    #   "x-scheme-handler/about" = "chromium.desktop";
    #   "x-scheme-handler/unknown" = "chromium.desktop";
    # };
  };
}
